Skip to content

Test a notification rule

POST
/notifications/rules/test
curl --request POST \
--url https://sylve.lan:8181/api/notifications/rules/test \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "condition": "example", "severity": "example", "targetKey": "example", "templateKey": "example" }'

Emit a representative event for one template and active target through the normal notification pipeline

Notification rule test

Media typeapplication/json
object
condition
string
severity
string
targetKey
string
templateKey
string
Examplegenerated
{
"condition": "example",
"severity": "example",
"targetKey": "example",
"templateKey": "example"
}

Success

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Bad Request

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Unauthorized

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Forbidden

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Not Found

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Conflict

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Request Entity Too Large

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Internal Server Error

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}